package com.regexlab.j2e;

/**
 * Used to operate Splash Screen
 * 
 * @author sswater
 */
public final class SplashScreen
{
    /**
     * Get the Splash Screen instance
     * 
     * @return Splach screen instance, null if there is no splash screen
     */
    public static SplashScreen getSplashScreen()
    {
        return nativeGetSplashScreen();
    }

    /**
     * Set the milliseconds to auto-close after main() returns
     * 
     * @param msec milliseconds, a value < 0 to disable auto-close
     */
    public void autoClose(int msec)
    {
        nativeAutoClose(msec);
    }

    /**
     * Close the splash screen
     */
    public void close()
    {
        nativeClose();
    }

    protected static native SplashScreen nativeGetSplashScreen();
    protected native void nativeAutoClose(int msec);
    protected native void nativeClose();

    static
    {
        String s = System.getProperty("j2e.app.path");
        if (s != null)
            System.load(s);
    }
}
